| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PlusConstant1 Class Reference
Numerical Utilities » Functor Objects » Modified Functors

Implements the sum of a function and a constant. More...

`#include <Func1.h>`

Inheritance diagram for PlusConstant1:
[legend]

## Detailed Description

Implements the sum of a function and a constant.

The functor class with type `"plus-constant"` returns \( f(x) = f_1(x) + a \).

Parameters

  f1 | Functor \( f_1(x) \)
  a | Constant \( a \)

Definition at line 882 of file Func1.h.

## Public Member Functions
| PlusConstant1 (Func1 &f1, double a)
| PlusConstant1 (shared_ptr< Func1 > f1, double a)
| PlusConstant1 (const PlusConstant1 &b)
PlusConstant1 & | operator= (const PlusConstant1 &right)
int | ID () const override
string | type () const override
| Returns a string describing the type of the function.
double | eval (double t) const override
| Evaluate the function.
Func1 & | duplicate () const override
| Duplicate the current function.
Func1 & | derivative () const override
| Creates a derivative to the current function.
shared_ptr< Func1 > | derivative3 () const override
| Creates a derivative to the current function.
string | write (const string &arg) const override
| Write LaTeX string describing function.
int | order () const override
| Return the order of the function, if it makes sense.
Public Member Functions inherited from Func1
| Func1 (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Func1 (shared_ptr< Func1 > f1, double A)
| Func1 (const Func1 &right)
Func1 & | operator= (const Func1 &right)
string | typeName () const
| Returns a string with the class name of the functor.
double | operator() (double t) const
| Calls method eval to evaluate the function.
bool | isIdentical (Func1 &other) const
| Routine to determine if two functions are the same.
virtual double | isProportional (TimesConstant1 &other)
virtual double | isProportional (Func1 &other)
double | c () const
| Accessor function for the stored constant.
void | setC (double c)
| Function to set the stored constant.
Func1 & | func1 () const
| accessor function for m_f1
shared_ptr< Func1 > | func1_shared () const
| Accessor function for m_f1_shared.
Func1 & | func2 () const
| accessor function for m_f2
shared_ptr< Func1 > | func2_shared () const
| Accessor function for m_f2_shared.
Func1 & | func1_dup () const
Func1 & | func2_dup () const
Func1 * | parent () const
void | setParent (Func1 *p)

## Additional Inherited Members
Protected Attributes inherited from Func1
double | m_c = 0.0
Func1 * | m_f1 = nullptr
Func1 * | m_f2 = nullptr
Func1 * | m_parent = nullptr
shared_ptr< Func1 > | m_f1_shared
shared_ptr< Func1 > | m_f2_shared

## Constructor & Destructor Documentation

## ◆ PlusConstant1() [1/3]

PlusConstant1 | ( | Func1 & | f1,
|  | double | a
| ) |  |
| inline

Definition at line 885 of file Func1.h.

## ◆ PlusConstant1() [2/3]

PlusConstant1 | ( | shared_ptr< Func1 > | f1,
|  | double | a
| ) |  |
| inline

Definition at line 891 of file Func1.h.

## ◆ ~PlusConstant1()

~PlusConstant1 | ( |  | ) |
| inline override

Definition at line 893 of file Func1.h.

## ◆ PlusConstant1() [3/3]

PlusConstant1 | ( | const PlusConstant1 & | b | ) |
| inline

Definition at line 899 of file Func1.h.

## Member Function Documentation

## ◆ operator=()

PlusConstant1 & operator= | ( | const PlusConstant1 & | right | ) |
| inline

Definition at line 904 of file Func1.h.

## ◆ ID()

int ID | ( |  | ) | const
| inline override virtual

Deprecated:
  To be removed after Cantera 3.0. Replaced by type.

Reimplemented from Func1.

Definition at line 915 of file Func1.h.

## ◆ type()

string type | ( |  | ) | const
| inline override virtual

Returns a string describing the type of the function.

Since
  New in Cantera 3.0.

Reimplemented from Func1.

Definition at line 918 of file Func1.h.

## ◆ eval()

double eval | ( | double | t | ) | const
| inline override virtual

Evaluate the function.

Reimplemented from Func1.

Definition at line 922 of file Func1.h.

## ◆ duplicate()

Func1 & duplicate | ( |  | ) | const
| override virtual

Duplicate the current function.

This duplicates the current function, returning a reference to the newly created function.

Deprecated:
  To be removed after Cantera 3.0. Only used by deprecated methods.

Reimplemented from Func1.

Definition at line 854 of file Func1.cpp.

## ◆ derivative()

Func1 & derivative | ( |  | ) | const
| override virtual

Creates a derivative to the current function.

This will create a new derivative function and return a reference to the function.

Deprecated:
  To be changed after Cantera 3.0; for new behavior, see derivative3.

Reimplemented from Func1.

Definition at line 862 of file Func1.cpp.

## ◆ derivative3()

shared_ptr< Func1 > derivative3 | ( |  | ) | const
| inline override virtual

Creates a derivative to the current function.

This will create a new derivative function

Returns
  shared pointer to new derivative function.

Since
  New in Cantera 3.0.

Reimplemented from Func1.

Definition at line 929 of file Func1.h.

## ◆ write()

string write | ( | const string & | arg | ) | const
| override virtual

Write LaTeX string describing function.

Reimplemented from Func1.

Definition at line 846 of file Func1.cpp.

## ◆ order()

int order | ( |  | ) | const
| inline override virtual

Return the order of the function, if it makes sense.

Reimplemented from Func1.

Definition at line 935 of file Func1.h.

The documentation for this class was generated from the following files:

- Func1.h
- Func1.cpp